Mail archive
alpine-aports

[alpine-aports] [PATCH 5/9] testing/py-gtkglext: new aport

From: Stuart Cardall <developer_at_it-offshore.co.uk>
Date: Sun, 24 Apr 2016 23:23:05 +0000

closes https://bugs.alpinelinux.org/issues/5484

---
 testing/py-gtkglext/APKBUILD | 37 +++++++++++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)
 create mode 100644 testing/py-gtkglext/APKBUILD
diff --git a/testing/py-gtkglext/APKBUILD b/testing/py-gtkglext/APKBUILD
new file mode 100644
index 0000000..49a301a
--- /dev/null
+++ b/testing/py-gtkglext/APKBUILD
_at_@ -0,0 +1,37 @@
+# Contributor: Stuart Cardall <developer_at_it-offshore.co.uk>
+# Maintainer: Stuart Cardall <developer_at_it-offshore.co.uk>
+pkgname=py-gtkglext
+_pkgreal=${pkgname/-/}
+pkgver=1.1.0
+pkgrel=0
+pkgdesc="GTK+ OpenGL Extension (Python bindings)"
+url="http://projects.gnome.org/gtkglext/"
+arch="all"
+license="GPL2.1"
+depends="python"
+depends_dev="$pkgname"
+makedepends="python-dev py-gtk-dev gtkglext-dev py-opengl"
+install=""
+subpackages="$pkgname-dev"
+source="http://downloads.sourceforge.net/gtkglext/$_pkgreal-$pkgver.tar.gz"
+
+builddir="$srcdir"/$_pkgreal-$pkgver
+build() {
+	cd "$builddir"
+        ./configure \
+                --prefix=/usr \
+                --sysconfdir=/etc \
+                --mandir=/usr/share/man \
+                --localstatedir=/var \
+                || return 1
+        make || return 1
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="dfbe2ceb05db9265a7d94b209fa8ad97  pygtkglext-1.1.0.tar.gz"
+sha256sums="9712c04c60bf6ee7d05e0c6a6672040095c2ea803a1546af6dfde562dc0178a3  pygtkglext-1.1.0.tar.gz"
+sha512sums="a9a872f85117e033cc165082fa2747624f25cd73c77e0c2487f08fe352c8d918cf0b30712e5d495ff2aea4def5fbf7ade0ab45fac0c0b48a9f4cbab70c63d420  pygtkglext-1.1.0.tar.gz"
-- 
2.8.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Apr 24 2016 - 23:23:05 GMT